module Refinery
  module Libri
    class Libri < Refinery::Core::BaseModel
      self.table_name = 'refinery_libris'

      attr_accessible :title, :liber, :number, :classification, :blurb, :published, :reception, :cover_id, :document_id, :position

      acts_as_indexed :fields => [:title, :liber, :classification, :blurb, :published, :reception]

      validates :title, :presence => true, :uniqueness => true

      belongs_to :cover, :class_name => '::Refinery::Image'

      belongs_to :document, :class_name => '::Refinery::Resource'
    end
  end
end
