module Refinery
  module Libri
    class Engine < Rails::Engine
      include Refinery::Engine
      isolate_namespace Refinery::Libri

      engine_name :refinery_libris

      initializer "register refinerycms_libris plugin" do
        Refinery::Plugin.register do |plugin|
          plugin.name = "libris"
          plugin.url = proc { Refinery::Core::Engine.routes.url_helpers.libri_admin_libris_path }
          plugin.pathname = root
          plugin.activity = {
            :class_name => :'refinery/libri/libri'
          }
          plugin.menu_match = %r{refinery/libri/libris(/.*)?$}
        end
      end

      config.after_initialize do
        Refinery.register_extension(Refinery::Libris)
      end
    end
  end
end
